package com.ama.core.architecture.message

import androidx.annotation.StringRes


interface MessageDisplayManager {
    val messageController: MessageController

    fun showMessage(@StringRes message: Int, isShort: Boolean = true) {
        messageController.sendMessage(message, isShort)
    }

    fun showMessage(message: String, isShort: Boolean = true) {
        messageController.sendMessage(message, isShort)
    }

    fun clearMessages() {
        messageController.clearMessages()
    }
}